[csw-devel] SF.net SVN: gar:[7540] csw/mgar/pkg

bonivart at users.sourceforge.net bonivart at users.sourceforge.net
Wed Dec 2 17:15:10 CET 2009


Revision: 7540
          http://gar.svn.sourceforge.net/gar/?rev=7540&view=rev
Author:   bonivart
Date:     2009-12-02 16:14:56 +0000 (Wed, 02 Dec 2009)

Log Message:
-----------
postgrey: initial commit

Added Paths:
-----------
    csw/mgar/pkg/postgrey/
    csw/mgar/pkg/postgrey/branches/
    csw/mgar/pkg/postgrey/tags/
    csw/mgar/pkg/postgrey/trunk/
    csw/mgar/pkg/postgrey/trunk/Makefile
    csw/mgar/pkg/postgrey/trunk/checksums
    csw/mgar/pkg/postgrey/trunk/files/
    csw/mgar/pkg/postgrey/trunk/files/CSWpostgrey.init
    csw/mgar/pkg/postgrey/trunk/files/cswusergroup


Property changes on: csw/mgar/pkg/postgrey/trunk
___________________________________________________________________
Added: svn:ignore
   + cookies
download
work


Added: svn:externals
   + gar https://gar.svn.sourceforge.net/svnroot/gar/csw/mgar/gar/v2


Added: csw/mgar/pkg/postgrey/trunk/Makefile
===================================================================
--- csw/mgar/pkg/postgrey/trunk/Makefile	                        (rev 0)
+++ csw/mgar/pkg/postgrey/trunk/Makefile	2009-12-02 16:14:56 UTC (rev 7540)
@@ -0,0 +1,48 @@
+GARNAME = postgrey
+GARVERSION = 1.32
+CATEGORIES = net
+
+DESCRIPTION = Postfix policy server implementing greylisting
+define BLURB
+  Postfix policy server implementing greylisting
+endef
+
+MASTER_SITES = http://postgrey.schweikert.ch/pub/
+DISTFILES  = $(GARNAME)-$(GARVERSION).tar.gz
+
+REQUIRED_PKGS = CSWperl CSWpmiomultiplex CSWpmnetserver CSWbdb48 CSWpostfix
+ARCHALL = 1
+
+# We define upstream file regex so we can be notifed of new upstream software release
+UFILES_REGEX = $(GARNAME)-(\d+(?:\.\d+)*).tar.gz
+
+CONFIGURE_SCRIPTS =
+BUILD_SCRIPTS =
+TEST_SCRIPTS =
+INSTALL_SCRIPTS = custom
+
+INITSMF = /etc/opt/csw/init.d/cswpostgrey
+USERGROUP = /etc/opt/csw/pkg/CSWpostgrey/cswusergroup
+
+include gar/category.mk
+
+install-custom:
+	@echo " ==> Installing $(GARNAME) (custom)"
+	@ginstall -m 755 -d $(DESTDIR)/etc/opt/csw/init.d
+	@ginstall -m 755 $(FILEDIR)/CSWpostgrey.init $(DESTDIR)/etc/opt/csw/init.d/cswpostgrey
+	@ginstall -m 755 -d $(DESTDIR)/etc/opt/csw/postfix
+	@ginstall -m 644 $(WORKSRC)/postgrey_whitelist_clients $(DESTDIR)/etc/opt/csw/postfix
+	@ginstall -m 644 $(WORKSRC)/postgrey_whitelist_recipients $(DESTDIR)/etc/opt/csw/postfix
+	@ginstall -m 755 -d $(DESTDIR)/etc/opt/csw/pkg/CSWpostgrey
+	@ginstall -m 444 $(FILEDIR)/cswusergroup $(DESTDIR)/etc/opt/csw/pkg/CSWpostgrey/cswusergroup
+	@ginstall -m 755 -d $(DESTDIR)$(sbindir)
+	@ginstall -m 755 $(WORKSRC)/postgrey $(DESTDIR)$(sbindir)
+	@ginstall -m 755 -d $(DESTDIR)$(docdir)/$(GARNAME)
+	@ginstall -m 444 $(WORKSRC)/Changes $(DESTDIR)$(docdir)/$(GARNAME)
+	@ginstall -m 444 $(WORKSRC)/README $(DESTDIR)$(docdir)/$(GARNAME)
+	@ginstall -m 755 $(WORKSRC)/policy-test $(DESTDIR)$(docdir)/$(GARNAME)
+	@ginstall -m 755 $(WORKSRC)/contrib/postgreyreport $(DESTDIR)$(docdir)/$(GARNAME)
+	@ginstall -m 755 -d $(DESTDIR)$(mandir)/man1
+	@pod2man --section=1 $(WORKSRC)/$(GARNAME) > $(DESTDIR)$(mandir)/man1/$(GARNAME).1
+	@ginstall -m 755 -d $(DESTDIR)/var/opt/csw/$(GARNAME)
+	@$(MAKECOOKIE)

Added: csw/mgar/pkg/postgrey/trunk/checksums
===================================================================
--- csw/mgar/pkg/postgrey/trunk/checksums	                        (rev 0)
+++ csw/mgar/pkg/postgrey/trunk/checksums	2009-12-02 16:14:56 UTC (rev 7540)
@@ -0,0 +1 @@
+524a4e165bf997996f3bccade394712f  postgrey-1.32.tar.gz

Added: csw/mgar/pkg/postgrey/trunk/files/CSWpostgrey.init
===================================================================
--- csw/mgar/pkg/postgrey/trunk/files/CSWpostgrey.init	                        (rev 0)
+++ csw/mgar/pkg/postgrey/trunk/files/CSWpostgrey.init	2009-12-02 16:14:56 UTC (rev 7540)
@@ -0,0 +1,40 @@
+#!/sbin/sh
+
+# 2009-12-02 Peter Bonivart
+
+if [ -f /lib/svc/share/smf_include.sh ]; then
+  . /lib/svc/share/smf_include.sh
+fi
+
+SERVICE=postgrey
+
+OPTIONS="--inet=10023 -d --whitelist-clients=/etc/opt/csw/postfix/postgrey_whitelist_clients --whitelist-recipients=/etc/opt/csw/postfix/postgrey_whitelist_recipients --pidfile=/var/opt/csw/postgrey/postgrey.pid"
+
+case "$1" in
+  start)
+        echo "Starting $SERVICE ..."
+        /opt/csw/sbin/postgrey $OPTIONS
+        ;;
+  stop)
+        echo "Stopping $SERVICE ..."
+        pkill $SERVICE
+        ;;
+  restart)
+        echo "Restarting $SERVICE ... "
+        $0 stop
+        echo "Waiting for $SERVICE to stop: \c"
+        while ( pgrep $SERVICE > /dev/null )
+        do
+          echo ".\c"
+          sleep 1
+        done
+        echo
+        sleep 1
+        $0 start
+        ;;
+  *)
+        echo "Usage: `basename $0` { start | stop | restart}"
+        exit 1
+esac
+
+exit 0

Added: csw/mgar/pkg/postgrey/trunk/files/cswusergroup
===================================================================
--- csw/mgar/pkg/postgrey/trunk/files/cswusergroup	                        (rev 0)
+++ csw/mgar/pkg/postgrey/trunk/files/cswusergroup	2009-12-02 16:14:56 UTC (rev 7540)
@@ -0,0 +1 @@
+postgrey:postgrey:CSW Postgrey:/var/opt/csw/postgrey:/bin/false:::NP


This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.



More information about the devel mailing list